# services/veles/resourcequota.yaml
apiVersion: v1
kind: ResourceQuota
metadata:
  name: veles-namespace-quota
  namespace: veles
spec:
  hard:
    requests.cpu: "12"
    requests.memory: 24Gi
    limits.cpu: "40"
    limits.memory: 96Gi
    pods: "60"
    count/jobs.batch: "100"
    persistentvolumeclaims: "8"
    requests.storage: 1Ti
---
apiVersion: v1
kind: ResourceQuota
metadata:
  name: veles-core-quota
  namespace: veles
spec:
  hard:
    requests.cpu: "4"
    requests.memory: 12Gi
    limits.cpu: "8"
    limits.memory: 24Gi
    pods: "12"
  scopeSelector:
    matchExpressions:
      - scopeName: PriorityClass
        operator: In
        values:
          - veles-core
---
apiVersion: v1
kind: ResourceQuota
metadata:
  name: veles-sim-quota
  namespace: veles
spec:
  hard:
    requests.cpu: "8"
    requests.memory: 16Gi
    limits.cpu: "32"
    limits.memory: 72Gi
    pods: "48"
  scopeSelector:
    matchExpressions:
      - scopeName: PriorityClass
        operator: In
        values:
          - veles-sim
